Enter a yield position
curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/actions/enter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"yieldId": "<string>",
"address": "<string>",
"arguments": {
"amount": "<string>",
"validatorAddress": "<string>",
"validatorAddresses": [
"<string>"
],
"providerId": "<string>",
"duration": 123,
"inputToken": "<string>",
"subnetId": 123,
"feeConfigurationId": "<string>",
"cosmosPubKey": "<string>",
"tezosPubKey": "<string>",
"cAddressBech": "<string>",
"pAddressBech": "<string>",
"ledgerWalletApiCompatible": true,
"skipPrechecks": true,
"feePayerAddress": "<string>"
}
}
'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/actions/enter"
payload = {
"yieldId": "<string>",
"address": "<string>",
"arguments": {
"amount": "<string>",
"validatorAddress": "<string>",
"validatorAddresses": ["<string>"],
"providerId": "<string>",
"duration": 123,
"inputToken": "<string>",
"subnetId": 123,
"feeConfigurationId": "<string>",
"cosmosPubKey": "<string>",
"tezosPubKey": "<string>",
"cAddressBech": "<string>",
"pAddressBech": "<string>",
"ledgerWalletApiCompatible": True,
"skipPrechecks": True,
"feePayerAddress": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
yieldId: '<string>',
address: '<string>',
arguments: {
amount: '<string>',
validatorAddress: '<string>',
validatorAddresses: ['<string>'],
providerId: '<string>',
duration: 123,
inputToken: '<string>',
subnetId: 123,
feeConfigurationId: '<string>',
cosmosPubKey: '<string>',
tezosPubKey: '<string>',
cAddressBech: '<string>',
pAddressBech: '<string>',
ledgerWalletApiCompatible: true,
skipPrechecks: true,
feePayerAddress: '<string>'
}
})
};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/actions/enter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rawResponse": {
"transactions": [
{}
],
"yieldId": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Yield
Enter a yield position
Builds transactions for entering a yield position (staking, lending, or vault deposit).
This is a proxy to the Yield.xyz POST /actions/enter endpoint. The
response is wrapped under data.rawResponse and network fields on
transactions are converted to CAIP-2 format. For Solana yields where a
gas sponsor is configured for the environment, arguments.feePayerAddress
is auto-populated. For the full upstream response schema see
docs.yield.xyz.
POST
/
clients
/
me
/
integrations
/
yield-xyz
/
actions
/
enter
Enter a yield position
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Body
application/json
Response
Enter transactions built successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I